HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of Radios

(Deprecated) This API endpoint retrieves a list of radios associated to a customer, based on the query parameters provided. Each radio in the returned list includes comprehensive details like serial number, device name, MAC address, band, status and its current statistics . The query parameters allow you to narrow down the results to radios that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
siteIdeq and in
bandeq and in
deviceNameeq and in
serialNumbereq and in
bandwidtheq and in
statuseq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.
By default, the response is sorted in ascending order by deviceName and descending order by band.
Supported fields are deviceName, band and serialNumber.

int64
0 to 1000
Defaults to 20

Denotes the maximum number of radios returned in the response.

string

Specifies the pagination cursor for the next page of resources.
Minimum value is 1

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json